-- Do some operations about the current version upgrade of the 'ebnews' DB.

create table tempChannel as select _id,name,isSubscribed,_order,now_order,is_new,type from tChannels;
drop table if exists tChannels;
alter table tempChannel rename to tChannels;


create table tempRelatedArticles as select _id from tRelatedArticles;
drop table if exists tRelatedArticles;
alter table tempRelatedArticles rename to tRelatedArticles;

alter table tRelatedArticles add column title varchar;
alter table tRelatedArticles add column pubtime varchar;
alter table tRelatedArticles add column nid varchar;
alter table tRelatedArticles add column `from` varchar;
alter table tRelatedArticles add column article_id int;

--修改tCommercials 表中的字段
ALTER TABLE tCommercials RENAME TO tCommercialsOld;
CREATE TABLE tCommercials(id INTEGER PRIMARY KEY AUTOINCREMENT,icon text,isread text);
INSERT INTO tCommercials (id,icon,isread) SELECT id,icon,isread FROM tCommercialsOld;
DROP TABLE tCommercialsOld;


--修改tColumn 表中的字段
ALTER TABLE tColumn RENAME TO tColumnOld;
CREATE TABLE tColumn(_id INTEGER PRIMARY KEY ,name VARCHAR(50),logo VARCHAR(300),description text,isSubscribed text,a_id text,a_title text,a_type text,a_url text,isSynchronous text);
INSERT INTO tColumn (_id,name,logo,description,isSubscribed,a_id,a_title,a_type,a_url,isSynchronous) SELECT id,name,logo,description,isSubscribed,a_id,a_title,a_type,a_url,isSynchronous FROM tColumnOld;
DROP TABLE tColumnOld;

--修改tCollectArticles 表中的字段
ALTER TABLE tCollectArticles RENAME TO tCollectArticlesOld;
CREATE TABLE `tCollectArticles`(`_id` INTEGER PRIMARY KEY AUTOINCREMENT,`articleId` TEXT,`title` TEXT,`short_title` TEXT,`description` TEXT,`icon` TEXT,`insertTime` TEXT,`pubtime` TEXT,`commentCount` TEXT,`channelId` TEXT,`contentFile` TEXT,`sayGoodState` TEXT,`url` TEXT,`ismore` TEXT,`articleFrom` TEXT,`isSynchronous` TEXT,`category` TEXT);
INSERT INTO tCollectArticles (articleId,title,description,icon,insertTime,pubtime,commentCount,channelId,contentFile,sayGoodState,url,ismore,articleFrom,isSynchronous) SELECT _id,title,description,icon,insertTime,pubtime,commentCount,channelId,contentFile,sayGoodState,url,ismore,articleFrom,isSynchronous FROM tCollectArticlesOld;
DROP TABLE tCollectArticlesOld;

--修改tChannelArticles 表中的字段
ALTER TABLE tChannelArticles RENAME TO tChannelArticlesOld;
CREATE TABLE `tChannelArticles`(`_id` INTEGER PRIMARY KEY AUTOINCREMENT,`articleId` TEXT,`title` TEXT,`icon` TEXT,`commentCount` TEXT,`pubtime` TEXT,`channelId` INTEGER,`type` TEXT,`flag` TEXT,`description` TEXT,`extend` TEXT);
INSERT INTO tChannelArticles (_id,articleId,title,icon,commentCount,pubtime,channelId,type) SELECT _id,articleId,title,icon,commentCount,pubtime,channelId,type FROM tChannelArticlesOld;
DROP TABLE tChannelArticlesOld;

--修改tBusiness 表中的字段
ALTER TABLE tBusiness RENAME TO tBusinessOld;
CREATE TABLE `tBusiness`(`_id` INTEGER,`article_id` TEXT,`name` TEXT,`logo` TEXT,`isSubscribed` TEXT,`isRead` TEXT,`founder` TEXT,`url` TEXT,`goodNum` TEXT,`badNum` TEXT,`isGood` TEXT,`isBad` TEXT,`flag` TEXT,`a_id` TEXT,`a_title` TEXT,`a_type` TEXT,`a_url` TEXT,`a_pubtime` TEXT,`a_pubtimebadge` TEXT,`a_pubtime_format` TEXT,`description` TEXT,`isSynchronous` TEXT,`insertTime` TEXT, PRIMARY KEY(`_id`));
INSERT INTO tBusiness (_id,name,logo,isSubscribed,founder,url,goodNum,badNum,isGood,isBad,flag,a_id,a_title,a_type,a_url,a_pubtime,a_pubtimebadge,a_pubtime_format,description,isSynchronous,insertTime) SELECT _id,name,logo,isSubscribed,founder,url,goodNum,badNum,isGood,isBad,flag,a_id,a_title,a_type,a_url,a_pubtime,a_pubtimebadge,a_pubtime_format,description,isSynchronous,insertTime FROM tBusinessOld;
DROP TABLE tBusinessOld;

--修改tHeadlineArticles 表中的字段
ALTER TABLE tHeadlineArticles RENAME TO tHeadlineArticlesOld;
CREATE TABLE `tHeadlineArticles`(`_id` INTEGER PRIMARY KEY AUTOINCREMENT,`articleId` TEXT,`title` TEXT,`description` TEXT,`icon` TEXT,`commentCount` TEXT,`pubtime` TEXT,`channelId` INTEGER,`fkid` TEXT,`type` TEXT,`flag` TEXT,`url` TEXT,`pushType` TEXT,`position` INTEGER,`showrecommend` TEXT,`articleType` TEXT,`picCount` TEXT,`icon2` TEXT,`icon3` TEXT,`extend` TEXT);
INSERT INTO tHeadlineArticles (_id,articleId,title,description,icon,commentCount,pubtime,channelId,fkid,type,url) SELECT _id,articleId,title,description,icon,commentCount,pubtime,channelId,fkid,type,url FROM tHeadlineArticlesOld;
DROP TABLE tHeadlineArticlesOld;

--修改tDetailArticles 表中的字段
ALTER TABLE tDetailArticles RENAME TO tDetailArticlesOld;
CREATE TABLE `tDetailArticles`(`_id` INTEGER,`title` TEXT,`short_title` TEXT,`icon` TEXT,`description` TEXT,`url` TEXT,`pubtime` TEXT,`from` TEXT,`articletype` TEXT,`enddate` TEXT,`sort_id` TEXT,`content` TEXT,`ismore` TEXT,`goodcnt` TEXT,`comment_count` TEXT,`read_history_index` INTEGER, PRIMARY KEY(`_id`));
INSERT INTO tDetailArticles (_id,title,icon,description,url,pubtime,ismore) SELECT _id,title,icon,description,url,pubtime,ismore FROM tDetailArticlesOld;
DROP TABLE tDetailArticlesOld;

