insert into tChannels(`_id`, `name`, `isSubscribed`, `_order`, `now_order`, `is_new`, `type`)values(-1, '订阅', 3, 2, 2, 0, 1);

insert into tSubscribeEditors(`_id`, `tagName`, `index`)values(-1,'我的',0);
insert into tSubscribeEditors(`_id`, `tagName`, `index`)values(0,'推荐',1);
insert into tSubscribeEditors(`_id`, `tagName`, `index`)values(1,'行业',2);
insert into tSubscribeEditors(`_id`, `tagName`, `index`)values(2,'模式',3);
insert into tSubscribeEditors(`_id`, `tagName`, `index`)values(6,'企业',4);
insert into tSubscribeEditors(`_id`, `tagName`, `index`)values(7,'人物',5);
insert into tSubscribeEditors(`_id`, `tagName`, `index`)values(3,'会议',6);

--tArticleComment表
    -- 修改字段:
    --    _id  autoincrement
    -- 新增字段:
    --   idComment String
    --   count int
    --   commenterId int
    --   commenterNickname String
    --   commenterAvatar String

ALTER TABLE tArticleComment RENAME TO tArticleCommentOld;
CREATE TABLE `tArticleComment`(`_id` INTEGER PRIMARY KEY AUTOINCREMENT,`idComment` TEXT,`resource_id` INTEGER,`commenter_id` INTEGER,`article_id` INTEGER,`reported` INTEGER,`replied` INTEGER,`praise` INTEGER,`criticize` INTEGER,`cnt` TEXT,`praiseNum` INTEGER,`stamp` INTEGER,`count` INTEGER,`commenterId` INTEGER,`commenterNickname` TEXT,`commenterAvatar` TEXT);
INSERT INTO tArticleComment (resource_id,commenter_id,article_id,reported,replied,praise,criticize,cnt,praiseNum,stamp) SELECT resource_id,commenter_id,article_id,reported,replied,praise,criticize,cnt,praiseNum,stamp FROM tArticleCommentOld;
DROP TABLE tArticleCommentOld;

--tRelatedArticles
  --   修改字段:_id autoincrement

  --   新增字段:
  --	relatedArticlesId int
  --	type int
  --	style int
  --	url String
  --	description String

ALTER TABLE tRelatedArticles RENAME TO tRelatedArticlesOld;
CREATE TABLE `tRelatedArticles`(`_id` INTEGER PRIMARY KEY AUTOINCREMENT,`article_id` INTEGER,`relatedArticlesId` INTEGER,`title` TEXT,`pubtime` TEXT,`nid` TEXT,`from` TEXT,`type` INTEGER,`style` INTEGER,`url` TEXT,`description` TEXT);
INSERT INTO tRelatedArticles (article_id,relatedArticlesId,title,pubtime,nid,`from`) SELECT article_id,_id,title,pubtime,nid,`from` FROM tRelatedArticlesOld;
DROP TABLE tRelatedArticlesOld;

--tDetailArticles
--修改字段:_id autoincrement
  --新增字段:t_articleid int
  --	t_type  int
  --	t_icon1 String
  --	t_icon2 String
  --	t_icon3 String
  --	style int
  --	introduction String
  --	author String
  --	keyword String
  --	writerId int
  --	writerName String
  --	writerDescription String
  --	writerAvatar String
  --	writerPoster String
  --	tagId int
  --	tagType int
  --	tagName String
  --	tagImage String
  --	tagTime String
  --	tagDescription String
  --	tagCount int

ALTER TABLE tDetailArticles RENAME TO tDetailArticlesOld;
CREATE TABLE `tDetailArticles`(`_id` INTEGER PRIMARY KEY AUTOINCREMENT,`t_articleid` INTEGER,`title` TEXT,`short_title` TEXT,`icon` TEXT,`description` TEXT,`url` TEXT,`pubtime` TEXT,`from` TEXT,`articletype` TEXT,`enddate` TEXT,`sort_id` TEXT,`content` TEXT,`ismore` TEXT,`goodcnt` TEXT,`comment_count` TEXT,`read_history_index` INTEGER,`t_type` INTEGER,`t_icon1` TEXT,`t_icon2` TEXT,`t_icon3` TEXT,`style` INTEGER,`introduction` TEXT,`author` TEXT,`keyword` TEXT,`writerId` INTEGER,`writerName` TEXT,`writerDescription` TEXT,`writerAvatar` TEXT,`writerPoster` TEXT,`tagId` INTEGER,`tagType` INTEGER,`tagName` TEXT,`tagImage` TEXT,`tagTime` TEXT,`tagDescription` TEXT,`tagCount` INTEGER);
INSERT INTO tDetailArticles (t_articleid,title,short_title,icon,description,url,pubtime,`from`,articletype,enddate,sort_id,content,ismore,goodcnt,comment_count,read_history_index) SELECT _id,title,short_title,icon,description,url,pubtime,`from`,articletype,enddate,sort_id,content,ismore,goodcnt,comment_count,read_history_index FROM tDetailArticlesOld;
DROP TABLE tDetailArticlesOld;


--tHeadlineArticles 增加
alter table tHeadlineArticles add column extendType varchar;
alter table tHeadlineArticles add column extendId varchar;
alter table tHeadlineArticles add column `open` varchar;

--tCollectArticles 增加
alter table tCollectArticles add column t_icon1 varchar;
alter table tCollectArticles add column t_icon2 varchar;
alter table tCollectArticles add column t_icon3 varchar;
alter table tCollectArticles add column resourceStyle varchar;

--tChannels 增加
alter table tChannels add column `time` varchar;
alter table tChannels add column image varchar;

